FilterGauss
Fixed Filters

Filters the image using a Gaussian filter kernel. More...

## Functions

NppStatus | nppiFilterGauss_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 8-bit unsigned Gauss filter. More...
NppStatus | nppiFilterGauss_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Three channel 8-bit unsigned Gauss filter. More...
NppStatus | nppiFilterGauss_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Four channel 8-bit unsigned Gauss filter. More...
NppStatus | nppiFilterGauss_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Four channel 8-bit unsigned Gauss filter, ignoring alpha channel. More...
NppStatus | nppiFilterGauss_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 16-bit unsigned Gauss filter. More...
NppStatus | nppiFilterGauss_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Three channel 16-bit unsigned Gauss filter. More...
NppStatus | nppiFilterGauss_16u_C4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Four channel 16-bit unsigned Gauss filter. More...
NppStatus | nppiFilterGauss_16u_AC4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Four channel 16-bit unsigned Gauss filter, ignoring alpha channel. More...
NppStatus | nppiFilterGauss_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 16-bit signed Gauss filter. More...
NppStatus | nppiFilterGauss_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Three channel 16-bit signed Gauss filter. More...
NppStatus | nppiFilterGauss_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Four channel 16-bit signed Gauss filter. More...
NppStatus | nppiFilterGauss_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Four channel 16-bit signed Gauss filter, ignoring alpha channel. More...
NppStatus | nppiFilterGauss_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Single channel 32-bit floating-point Gauss filter. More...
NppStatus | nppiFilterGauss_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Three channel 32-bit floating-point Gauss filter. More...
NppStatus | nppiFilterGauss_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Four channel 32-bit floating-point Gauss filter. More...
NppStatus | nppiFilterGauss_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppiMaskSize eMaskSize)
| Four channel 32-bit floating-point Gauss filter, ignoring alpha channel. More...

## Detailed Description

Filters the image using a Gaussian filter kernel.

Use FilterGaussAdvanced if you want to supply your own filter coefficients.

Note that all FilterGauss functions currently support mask sizes up to 15x15. Filter kernels for these functions are calculated using a sigma value of 0.4F + (mask width / 2) * 0.6F.

### Common parameters for nppiFilterGauss functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  eMaskSize | Enumeration value specifying the mask size.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterGauss_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Four channel 16-bit signed Gauss filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 16-bit signed Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Three channel 16-bit signed Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Four channel 16-bit signed Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_16u_AC4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Four channel 16-bit unsigned Gauss filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 16-bit unsigned Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Three channel 16-bit unsigned Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_16u_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Four channel 16-bit unsigned Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Four channel 32-bit floating-point Gauss filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 32-bit floating-point Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Three channel 32-bit floating-point Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Four channel 32-bit floating-point Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Four channel 8-bit unsigned Gauss filter, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Single channel 8-bit unsigned Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Three channel 8-bit unsigned Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

NppStatus nppiFilterGauss_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize
| ) |  |

Four channel 8-bit unsigned Gauss filter.

For common parameter descriptions, see Common parameters for nppiFilterGauss functions.

Copyright © 2009-2017 NVIDIA Corporation